### odin-request-retry

Ao realizar requisições http, podem ocorrer erros em função de oscilações na rede
ou mesmo problemas temporários com o servidor que responde às requisições.

Em função disso, é uma boa prática, sempre que realizar uma requisição http, e ela falhar
tentar realizar novamente a request, após um curto período de tempo.

A `odin-request-retry`, abstrai essa tarefa, tentando até três vezes fazer uma requisição, e somente retornará 
como falha para sua classe de negócio, se falhar três vezes.


````javascript

const odinRequest = require('odin-request-retry');

 odinRequest.request(minhaRequest).then((data) => {

    // TODO ...

});

````